/**
 * 项目管理
 */
shr.defineClass("shr.project.projectManagementEdit",shr.framework.Edit,{
	initalizeDOM : function() {
		shr.project.projectManagementEdit.superClass.initalizeDOM.call(this);
		var _self = this;
	},
	/**
	 * 启用
	 */
	enableAction : function(){
		var that = this;
		shr.showConfirm('是否现在启用？', function() {
			top.Messenger().hideAll();
			that.remoteCall({
				method : "enablePorject",
				param : {
					billId : that.billId
				},
				success : function(data) {
					if(data && data.state == "success"){
						parent.location.reload();
						shr.showSuccess({
							message : "启用成功！"
						});
						$.block.hide();	
					}else{
						shr.showWarning({
							message : data.errorMsg
						});
					}
				}
			});
		});
	},
	
	/**
	 * 禁用
	 */
	disableAction : function(){
		var that = this;
		shr.showConfirm('是否现在禁用？', function() {
			top.Messenger().hideAll();
			that.remoteCall({
				method : "disablePorject",
				param : {
					billId : that.billId
				},
				success : function(data) {
					if(data && data.state == "success"){
						parent.location.reload();
						shr.showSuccess({
							message : "禁用成功！"
						});
						$.block.hide();	
					}else{
						shr.showWarning({
							message : data.errorMsg
						});
					}
				}
			});
		});
	},
});
